///////////////////////////////////////////////////////
//                                                   //
//       Московский Государственный Технический      //
//           Университет Гражданской Авиации         //
//                                                   //
//      Курсовая работа студента группы: ЭВМ-2-2     //
//           Новичкова Виталия Дмитриевича           //
//                                                   //
// (с) 2005-2012 Система Компьютнрных Сетей  WohlNET //
//                                                   //
///////////////////////////////////////////////////////

//Возведение в степень

// factor ::= numpar | numpar '^' factor
double factor(char *s,char *sid)
{
    double res=numpar(s,sid);
    if (Oper.Op=='^')

    {
        skip('^',s,sid);
	res=pow(res,factor(s,sid));
    }
    return res;
}
